# Uses of Interface
javax.tools.JavaCompiler.CompilationTask

Packages that use JavaCompiler.CompilationTask
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of JavaCompiler.CompilationTask in com.sun.source.util

Classes in com.sun.source.util that implement JavaCompiler.CompilationTask
Modifier and Type
Class
Description
`class`
`JavacTask`
Provides access to functionality specific to the JDK Java Compiler, javac.
Methods in com.sun.source.util with parameters of type JavaCompiler.CompilationTask
Modifier and Type
Method
Description
`static DocTrees`
DocTrees.`instance(JavaCompiler.CompilationTask task)`
Returns a DocTrees object for a given CompilationTask.
`static Trees`
Trees.`instance(JavaCompiler.CompilationTask task)`
Returns a Trees object for a given CompilationTask.

## Uses of JavaCompiler.CompilationTask in javax.tools

Methods in javax.tools that return JavaCompiler.CompilationTask
Modifier and Type
Method
Description
`JavaCompiler.CompilationTask`
JavaCompiler.`getTask(Writer out, JavaFileManager fileManager, DiagnosticListener<? super JavaFileObject> diagnosticListener, Iterable<String> options, Iterable<String> classes, Iterable<? extends JavaFileObject> compilationUnits)`
Creates a future for a compilation task with the given components and arguments.